
use bhw_data_main, clear

global eduvars "edu1816_pri_enrol edu1849_pri_enrol edu1849_adult_yos edu1871_lit"
global econvars1849 "fac1849_total_pc fac1849_other_pc fac1849_metal_pc fac1849_texti_pc"
global econvars1882 "occ1882_total_pc occ1882_other_pc occ1882_metal_pc occ1882_texti_pc"
global basecontrols49 "pop1849_young pop1849_old area1816_qkm"
global basecontrols82 "pop1882_young pop1882_old area1816_qkm"
global y1816controls "pop1816_cities_pc indu1819_texti_pc steam1849_mining_pc vieh1816_schaf_landvieh_pc occ1816_farm_laborer_t_pc buil1816_publ_pc chausseedummy trans1816_freight_pc"
global robustcontrols "rel1816_prot_pc rel1816_jew_pc annexed west poland beeline_berlin beeline_pcapital beeline_london latitude longitude land1849_ineq"



* Table 1: EDUCATION AND INDUSTRIALIZATION IN THE FIRST PHASE OF THE INDUSTRIAL REVOLUTION 

reg fac1849_total_pc edu1849_adult_yos $basecontrols49, cluster(max_kreiskey1800)
reg fac1849_other_pc edu1849_adult_yos $basecontrols49, cluster(max_kreiskey1800)
reg fac1849_metal_pc edu1849_adult_yos $basecontrols49, cluster(max_kreiskey1800)
reg fac1849_texti_pc edu1849_adult_yos $basecontrols49, cluster(max_kreiskey1800)

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49, cluster(max_kreiskey1800) first
ivreg2 fac1849_other_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49, cluster(max_kreiskey1800)
ivreg2 fac1849_metal_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49, cluster(max_kreiskey1800)
ivreg2 fac1849_texti_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49, cluster(max_kreiskey1800)



* Table 2: THE REDUCED-FORM EFFECT OF 1816 SCHOOL ENROLLMENT ON SUBSEQUENT INDUSTRIALIZATION

reg fac1849_total_pc edu1816_pri_enrol $basecontrols49, cluster(max_kreiskey1800)
reg fac1849_other_pc edu1816_pri_enrol $basecontrols49, cluster(max_kreiskey1800)
reg fac1849_metal_pc edu1816_pri_enrol $basecontrols49, cluster(max_kreiskey1800)
reg fac1849_texti_pc edu1816_pri_enrol $basecontrols49, cluster(max_kreiskey1800)

reg fac1849_total_pc edu1816_pri_enrol $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
reg fac1849_other_pc edu1816_pri_enrol $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
reg fac1849_metal_pc edu1816_pri_enrol $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
reg fac1849_texti_pc edu1816_pri_enrol $basecontrols49 $y1816controls, cluster(max_kreiskey1800)

reg occ1882_total_pc edu1816_pri_enrol $basecontrols82 $y1816controls, cluster(max_kreiskey1800)
reg occ1882_other_pc edu1816_pri_enrol $basecontrols82 $y1816controls, cluster(max_kreiskey1800)
reg occ1882_metal_pc edu1816_pri_enrol $basecontrols82 $y1816controls, cluster(max_kreiskey1800)
reg occ1882_texti_pc edu1816_pri_enrol $basecontrols82 $y1816controls, cluster(max_kreiskey1800)

reg occ1882_total_pc edu1816_pri_enrol $basecontrols82 $y1816controls fac1849_total_pc, cluster(max_kreiskey1800)
reg occ1882_other_pc edu1816_pri_enrol $basecontrols82 $y1816controls fac1849_other_pc, cluster(max_kreiskey1800)
reg occ1882_metal_pc edu1816_pri_enrol $basecontrols82 $y1816controls fac1849_metal_pc, cluster(max_kreiskey1800)
reg occ1882_texti_pc edu1816_pri_enrol $basecontrols82 $y1816controls fac1849_texti_pc, cluster(max_kreiskey1800)




* Table 3: ACCOUNTING FOR PRE-INDUSTRIAL DEVELOPMENT 

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 pop1816_cities_pc, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 pop1816_cities_pc indu1819_texti_pc, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 pop1816_cities_pc indu1819_texti_pc steam1849_mining_pc, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 pop1816_cities_pc indu1819_texti_pc steam1849_mining_pc vieh1816_schaf_landvieh_pc occ1816_farm_laborer_t_pc, cluster(max_kreiskey1800)

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800) first
ivreg2 fac1849_other_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_metal_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_texti_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)



* Table 4: EDUCATION AND INDUSTRIALIZATION IN THE SECOND PHASE OF THE INDUSTRIAL REVOLUTION 

reg occ1882_total_pc edu1871_lit $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
reg occ1882_other_pc edu1871_lit $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
reg occ1882_metal_pc edu1871_lit $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
reg occ1882_texti_pc edu1871_lit $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 

ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) first
ivreg2 occ1882_other_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_metal_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_texti_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 



* Table 5: THE PROGRESS OF INDUSTRIALIZATION BETWEEN 1849 AND 1882

ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) fac1849_total_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800) first
ivreg2 occ1882_other_pc (edu1871_lit = edu1816_pri_enrol) fac1849_other_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_metal_pc (edu1871_lit = edu1816_pri_enrol) fac1849_metal_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_texti_pc (edu1871_lit = edu1816_pri_enrol) fac1849_texti_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800)



* Table 6: ADDITIONAL ROBUSTNESS SPECIFICATIONS 

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) rel1816_prot_pc $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) rel1816_jew_pc $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) annexed $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos_neigh = edu1816_pri_enrol_neigh) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pr (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)

ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) rel1816_prot_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) rel1816_jew_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) annexed $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit_neigh = edu1816_pri_enrol_neigh) $basecontrols82 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_total_pr (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800)



* Table 7: GEOGRAPHICAL ROBUSTNESS SPECIFICATIONS 

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) west $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) poland $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) beeline_berlin beeline_pcapital beeline_london $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) latitude longitude $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) land1849_ineq $basecontrols49 $y1816controls, cluster(max_kreiskey1800)

ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) west $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) poland $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) beeline_berlin beeline_pcapital beeline_london $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) latitude longitude $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) land1849_ineq $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 



* TABLE 8: PANEL FIXED EFFECTS SPECIFICATION

preserve 

use bhw_data_fixed, clear
xtset kreiskey1849 t

xtreg ind_t_tot edu_t, cluster(max_kreiskey1800)
xtreg ind_t_tot edu_t pop_young_t pop_old_t, cluster(max_kreiskey1800)
xtreg ind_t_tot edu_t pop_young_t pop_old_t, fe cluster(max_kreiskey1800)
xi: xtreg ind_t_tot edu_t i.t, fe cluster(max_kreiskey1800)
xi: xtreg ind_t_tot edu_t pop_young_t pop_old_t i.t, fe cluster(max_kreiskey1800)
xi: xtreg ind_t_tot edu_t pop_young_t pop_old_t i.t if t>0, fe cluster(max_kreiskey1800)
xtreg ind_t_tot edu_t pop_young_t pop_old_t ind_lag_tot t, fe cluster(max_kreiskey1800)
xtivreg ind_t_tot (edu_t=edu_lag) pop_young_t pop_old_t ind_lag_tot t, fe first

restore



* TABLE A2: DESCRIPTIVE STATISTICS 

sum $eduvars $econvars1849 fac1849_total_pr $econvars1882 occ1882_total_pr $basecontrols49 $basecontrols82 $y1816controls beeline_wittenberg $robustcontrols 



* TABLE A3: CORRELATIONS AMONG THE EDUCATION AND INDUSTRIALIZATION MEASURES 

pwcorr $eduvars $econvars1849 $econvars1882, sig 



* TABLE A4: DISTANCE TO WITTENBERG AS AN ALTERNATIVE INSTRUMENT

ivreg2 fac1849_total_pc (edu1849_adult_yos = beeline_wittenberg) $basecontrols49 $y1816controls, cluster(max_kreiskey1800) first
ivreg2 fac1849_other_pc (edu1849_adult_yos = beeline_wittenberg) $basecontrols49 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 fac1849_metal_pc (edu1849_adult_yos = beeline_wittenberg) $basecontrols49 $y1816controls, cluster(max_kreiskey1800) 

ivreg2 occ1882_total_pc (edu1871_lit = beeline_wittenberg) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) first
ivreg2 occ1882_other_pc (edu1871_lit = beeline_wittenberg) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_metal_pc (edu1871_lit = beeline_wittenberg) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 



* TABLE A5: FURTHER ROBUSTNESS SPECIFICATIONS

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 fac1849_other_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_metal_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_other_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_metal_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 

preserve
collapse (mean) $eduvars $econvars1849 $econvars1882 $basecontrols49 pop1882_young pop1882_old $y1816controls, by(max_kreiskey1800)
ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 fac1849_other_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_metal_pc (edu1849_adult_yos = edu1816_pri_enrol) $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_other_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_metal_pc (edu1871_lit = edu1816_pri_enrol) $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
restore

ivreg2 fac1849_total_pc (edu1849_adult_yos ic_edu1849_adult_yos = edu1816_pri_enrol ic_edu1816_pri_enrol) city $basecontrols49 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 fac1849_other_pc (edu1849_adult_yos ic_edu1849_adult_yos = edu1816_pri_enrol ic_edu1816_pri_enrol) city $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_metal_pc (edu1849_adult_yos ic_edu1849_adult_yos = edu1816_pri_enrol ic_edu1816_pri_enrol) city $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_total_pc (edu1871_lit ic_edu1871_lit = edu1816_pri_enrol ic_edu1816_pri_enrol) city $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_other_pc (edu1871_lit ic_edu1871_lit = edu1816_pri_enrol ic_edu1816_pri_enrol) city $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_metal_pc (edu1871_lit ic_edu1871_lit = edu1816_pri_enrol ic_edu1816_pri_enrol) city $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 

ivreg2 fac1849_total_pc (edu1849_adult_yos = edu1816_pri_enrol) pop1849_urban_pc $basecontrols49 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 fac1849_other_pc (edu1849_adult_yos = edu1816_pri_enrol) pop1849_urban_pc $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 fac1849_metal_pc (edu1849_adult_yos = edu1816_pri_enrol) pop1849_urban_pc $basecontrols49 $y1816controls, cluster(max_kreiskey1800)
ivreg2 occ1882_total_pc (edu1871_lit = edu1816_pri_enrol) pop1849_urban_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_other_pc (edu1871_lit = edu1816_pri_enrol) pop1849_urban_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 
ivreg2 occ1882_metal_pc (edu1871_lit = edu1816_pri_enrol) pop1849_urban_pc $basecontrols82 $y1816controls, cluster(max_kreiskey1800) 

